com.genesyslab.wfm8.API.service.schedule852

## Class SchAgentDayHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchAgentDayHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentDayHolder
      extends java.lang.Object
      implements java.io.Serializable

  Represents a response to requests to load `SchAgentDay` or `SchAgentDayShort`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CfgAgentHolder` | `cfgAgentInfo` Contains agent related information if requested `CfgAgentHolder`
    `protected java.util.List<CfgMeetingShort>` | `meetingInfo` Meeting info.
    `protected int` | `meetingInfoNSizeIs` Total number of Meetings in meetingInfo.
    `protected java.util.List<SchAgentDay>` | `schAgentDay` A sorted/grouped list of `SchAgentDay`.
    `protected int` | `schAgentDayCount` Total number of agent days in snapshot.
    `protected int` | `schAgentDayNSizeIs` Number of elements in "schAgentDay" array
    `protected java.util.List<SchAgentDayShort>` | `schAgentDayShort` A sorted/grouped list of `SchAgentDayShort`.
    `protected int` | `schAgentDayShortNSizeIs` Number of elements in "schAgentDayShort" array
    `protected java.util.List<SchAgentTotals>` | `schAgentTotals` Contains different agent work totals calculated for specified period(s).
    `protected int` | `schAgentTotalsNSizeIs` Number of elements in "schAgentTotals" array
    `protected java.util.List<SchStateInfo>` | `schStateInfo` Contains info `SchStateInfo` for every unique `SchState` in the response, including Shift and full-day exception states.
    `protected int` | `schStateInfoNSizeIs` Number of elements in "schStateInfo" array
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` Response timestamp value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentDayHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `CfgAgentHolder` | `getCfgAgentInfo()` Gets the value of the cfgAgentInfo property.
    `java.util.List<CfgMeetingShort>` | `getMeetingInfo()` Gets the value of the meetingInfo property.
    `int` | `getMeetingInfoNSizeIs()` Gets the value of the meetingInfoNSizeIs property.
    `java.util.List<SchAgentDay>` | `getSchAgentDay()` Gets the value of the schAgentDay property.
    `int` | `getSchAgentDayCount()` Gets the value of the schAgentDayCount property.
    `int` | `getSchAgentDayNSizeIs()` Gets the value of the schAgentDayNSizeIs property.
    `java.util.List<SchAgentDayShort>` | `getSchAgentDayShort()` Gets the value of the schAgentDayShort property.
    `int` | `getSchAgentDayShortNSizeIs()` Gets the value of the schAgentDayShortNSizeIs property.
    `java.util.List<SchAgentTotals>` | `getSchAgentTotals()` Gets the value of the schAgentTotals property.
    `int` | `getSchAgentTotalsNSizeIs()` Gets the value of the schAgentTotalsNSizeIs property.
    `java.util.List<SchStateInfo>` | `getSchStateInfo()` Gets the value of the schStateInfo property.
    `int` | `getSchStateInfoNSizeIs()` Gets the value of the schStateInfoNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `hashCode()`
    `void` | `setCfgAgentInfo(CfgAgentHolder value)` Sets the value of the cfgAgentInfo property.
    `void` | `setMeetingInfo(java.util.List<CfgMeetingShort> meetingInfo)` Sets the value of the meetingInfo property.
    `void` | `setMeetingInfoNSizeIs(int value)` Sets the value of the meetingInfoNSizeIs property.
    `void` | `setSchAgentDay(java.util.List<SchAgentDay> schAgentDay)` Sets the value of the schAgentDay property.
    `void` | `setSchAgentDayCount(int value)` Sets the value of the schAgentDayCount property.
    `void` | `setSchAgentDayNSizeIs(int value)` Sets the value of the schAgentDayNSizeIs property.
    `void` | `setSchAgentDayShort(java.util.List<SchAgentDayShort> schAgentDayShort)` Sets the value of the schAgentDayShort property.
    `void` | `setSchAgentDayShortNSizeIs(int value)` Sets the value of the schAgentDayShortNSizeIs property.
    `void` | `setSchAgentTotals(java.util.List<SchAgentTotals> schAgentTotals)` Sets the value of the schAgentTotals property.
    `void` | `setSchAgentTotalsNSizeIs(int value)` Sets the value of the schAgentTotalsNSizeIs property.
    `void` | `setSchStateInfo(java.util.List<SchStateInfo> schStateInfo)` Sets the value of the schStateInfo property.
    `void` | `setSchStateInfoNSizeIs(int value)` Sets the value of the schStateInfoNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `java.lang.String` | `toString()`
    `SchAgentDayHolder` | `withCfgAgentInfo(CfgAgentHolder value)`
    `SchAgentDayHolder` | `withMeetingInfo(CfgMeetingShort... values)`
    `SchAgentDayHolder` | `withMeetingInfo(java.util.Collection<CfgMeetingShort> values)`
    `SchAgentDayHolder` | `withMeetingInfoNSizeIs(int value)`
    `SchAgentDayHolder` | `withSchAgentDay(java.util.Collection<SchAgentDay> values)`
    `SchAgentDayHolder` | `withSchAgentDay(SchAgentDay... values)`
    `SchAgentDayHolder` | `withSchAgentDayCount(int value)`
    `SchAgentDayHolder` | `withSchAgentDayNSizeIs(int value)`
    `SchAgentDayHolder` | `withSchAgentDayShort(java.util.Collection<SchAgentDayShort> values)`
    `SchAgentDayHolder` | `withSchAgentDayShort(SchAgentDayShort... values)`
    `SchAgentDayHolder` | `withSchAgentDayShortNSizeIs(int value)`
    `SchAgentDayHolder` | `withSchAgentTotals(java.util.Collection<SchAgentTotals> values)`
    `SchAgentDayHolder` | `withSchAgentTotals(SchAgentTotals... values)`
    `SchAgentDayHolder` | `withSchAgentTotalsNSizeIs(int value)`
    `SchAgentDayHolder` | `withSchStateInfo(java.util.Collection<SchStateInfo> values)`
    `SchAgentDayHolder` | `withSchStateInfo(SchStateInfo... values)`
    `SchAgentDayHolder` | `withSchStateInfoNSizeIs(int value)`
    `SchAgentDayHolder` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### schAgentDayNSizeIs

          protected int schAgentDayNSizeIs

      Number of elements in "schAgentDay" array

    - #### schAgentDay

          protected java.util.List<SchAgentDay> schAgentDay

      A sorted/grouped list of `SchAgentDay`. This is null if SCH_LAYOUT_DAY layout was requested.

    - #### schAgentDayShortNSizeIs

          protected int schAgentDayShortNSizeIs

      Number of elements in "schAgentDayShort" array

    - #### schAgentDayShort

          protected java.util.List<SchAgentDayShort> schAgentDayShort

      A sorted/grouped list of `SchAgentDayShort`. This is null if SCH_LAYOUT_OVERLAPPED or SCH_LAYOUT_SEQUENTIAL layout was requested.

    - #### schStateInfoNSizeIs

          protected int schStateInfoNSizeIs

      Number of elements in "schStateInfo" array

    - #### schStateInfo

          protected java.util.List<SchStateInfo> schStateInfo

      Contains info `SchStateInfo` for every unique `SchState` in the response, including Shift and full-day exception states. It is null if state info was not requested.

    - #### schAgentTotalsNSizeIs

          protected int schAgentTotalsNSizeIs

      Number of elements in "schAgentTotals" array

    - #### schAgentTotals

          protected java.util.List<SchAgentTotals> schAgentTotals

      Contains different agent work totals calculated for specified period(s). It is null if no totals were requested. See the description of the getAgentTotals function for more details.

    - #### cfgAgentInfo

          protected CfgAgentHolder cfgAgentInfo

      Contains agent related information if requested `CfgAgentHolder`

    - #### meetingInfoNSizeIs

          protected int meetingInfoNSizeIs

      Total number of Meetings in meetingInfo.

    - #### meetingInfo

          protected java.util.List<CfgMeetingShort> meetingInfo

      Meeting info. `CfgMeetingShort`

    - #### schAgentDayCount

          protected int schAgentDayCount

      Total number of agent days in snapshot.

    - #### timestamp

          protected long timestamp

      Response timestamp value

  - ### Constructor Detail

    - #### SchAgentDayHolder

          public SchAgentDayHolder()

  - ### Method Detail

    - #### getSchAgentDayNSizeIs

          public int getSchAgentDayNSizeIs()

      Gets the value of the schAgentDayNSizeIs property.

    - #### setSchAgentDayNSizeIs

          public void setSchAgentDayNSizeIs(int value)

      Sets the value of the schAgentDayNSizeIs property.

    - #### getSchAgentDay

          public java.util.List<SchAgentDay> getSchAgentDay()

      Gets the value of the schAgentDay property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schAgentDay property.

      For example, to add a new item, do as follows:

              getSchAgentDay().add(newItem);

      Objects of the following type(s) are allowed in the list `SchAgentDay`

    - #### getSchAgentDayShortNSizeIs

          public int getSchAgentDayShortNSizeIs()

      Gets the value of the schAgentDayShortNSizeIs property.

    - #### setSchAgentDayShortNSizeIs

          public void setSchAgentDayShortNSizeIs(int value)

      Sets the value of the schAgentDayShortNSizeIs property.

    - #### getSchAgentDayShort

          public java.util.List<SchAgentDayShort> getSchAgentDayShort()

      Gets the value of the schAgentDayShort property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schAgentDayShort property.

      For example, to add a new item, do as follows:

              getSchAgentDayShort().add(newItem);

      Objects of the following type(s) are allowed in the list `SchAgentDayShort`

    - #### getSchStateInfoNSizeIs

          public int getSchStateInfoNSizeIs()

      Gets the value of the schStateInfoNSizeIs property.

    - #### setSchStateInfoNSizeIs

          public void setSchStateInfoNSizeIs(int value)

      Sets the value of the schStateInfoNSizeIs property.

    - #### getSchStateInfo

          public java.util.List<SchStateInfo> getSchStateInfo()

      Gets the value of the schStateInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schStateInfo property.

      For example, to add a new item, do as follows:

              getSchStateInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `SchStateInfo`

    - #### getSchAgentTotalsNSizeIs

          public int getSchAgentTotalsNSizeIs()

      Gets the value of the schAgentTotalsNSizeIs property.

    - #### setSchAgentTotalsNSizeIs

          public void setSchAgentTotalsNSizeIs(int value)

      Sets the value of the schAgentTotalsNSizeIs property.

    - #### getSchAgentTotals

          public java.util.List<SchAgentTotals> getSchAgentTotals()

      Gets the value of the schAgentTotals property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schAgentTotals property.

      For example, to add a new item, do as follows:

              getSchAgentTotals().add(newItem);

      Objects of the following type(s) are allowed in the list `SchAgentTotals`

    - #### getCfgAgentInfo

          public CfgAgentHolder getCfgAgentInfo()

      Gets the value of the cfgAgentInfo property.
      Returns:
        possible object is `CfgAgentHolder`

    - #### setCfgAgentInfo

          public void setCfgAgentInfo(CfgAgentHolder value)

      Sets the value of the cfgAgentInfo property.
      Parameters:
        `value` - allowed object is `CfgAgentHolder`

    - #### getMeetingInfoNSizeIs

          public int getMeetingInfoNSizeIs()

      Gets the value of the meetingInfoNSizeIs property.

    - #### setMeetingInfoNSizeIs

          public void setMeetingInfoNSizeIs(int value)

      Sets the value of the meetingInfoNSizeIs property.

    - #### getMeetingInfo

          public java.util.List<CfgMeetingShort> getMeetingInfo()

      Gets the value of the meetingInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meetingInfo property.

      For example, to add a new item, do as follows:

              getMeetingInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgMeetingShort`

    - #### getSchAgentDayCount

          public int getSchAgentDayCount()

      Gets the value of the schAgentDayCount property.

    - #### setSchAgentDayCount

          public void setSchAgentDayCount(int value)

      Sets the value of the schAgentDayCount property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withSchAgentDayNSizeIs

          public SchAgentDayHolder withSchAgentDayNSizeIs(int value)

    - #### withSchAgentDay

          public SchAgentDayHolder withSchAgentDay(SchAgentDay... values)

    - #### withSchAgentDay

          public SchAgentDayHolder withSchAgentDay(java.util.Collection<SchAgentDay> values)

    - #### withSchAgentDayShortNSizeIs

          public SchAgentDayHolder withSchAgentDayShortNSizeIs(int value)

    - #### withSchAgentDayShort

          public SchAgentDayHolder withSchAgentDayShort(SchAgentDayShort... values)

    - #### withSchAgentDayShort

          public SchAgentDayHolder withSchAgentDayShort(java.util.Collection<SchAgentDayShort> values)

    - #### withSchStateInfoNSizeIs

          public SchAgentDayHolder withSchStateInfoNSizeIs(int value)

    - #### withSchStateInfo

          public SchAgentDayHolder withSchStateInfo(SchStateInfo... values)

    - #### withSchStateInfo

          public SchAgentDayHolder withSchStateInfo(java.util.Collection<SchStateInfo> values)

    - #### withSchAgentTotalsNSizeIs

          public SchAgentDayHolder withSchAgentTotalsNSizeIs(int value)

    - #### withMeetingInfoNSizeIs

          public SchAgentDayHolder withMeetingInfoNSizeIs(int value)

    - #### withSchAgentTotals

          public SchAgentDayHolder withSchAgentTotals(SchAgentTotals... values)

    - #### withSchAgentTotals

          public SchAgentDayHolder withSchAgentTotals(java.util.Collection<SchAgentTotals> values)

    - #### withCfgAgentInfo

          public SchAgentDayHolder withCfgAgentInfo(CfgAgentHolder value)

    - #### withSchAgentDayCount

          public SchAgentDayHolder withSchAgentDayCount(int value)

    - #### withTimestamp

          public SchAgentDayHolder withTimestamp(long value)

    - #### withMeetingInfo

          public SchAgentDayHolder withMeetingInfo(CfgMeetingShort... values)

    - #### withMeetingInfo

          public SchAgentDayHolder withMeetingInfo(java.util.Collection<CfgMeetingShort> values)

    - #### setSchAgentDay

          public void setSchAgentDay(java.util.List<SchAgentDay> schAgentDay)

      Sets the value of the schAgentDay property.
      Parameters:
        `schAgentDay` - allowed object is `SchAgentDay`

    - #### setSchAgentDayShort

          public void setSchAgentDayShort(java.util.List<SchAgentDayShort> schAgentDayShort)

      Sets the value of the schAgentDayShort property.
      Parameters:
        `schAgentDayShort` - allowed object is `SchAgentDayShort`

    - #### setSchStateInfo

          public void setSchStateInfo(java.util.List<SchStateInfo> schStateInfo)

      Sets the value of the schStateInfo property.
      Parameters:
        `schStateInfo` - allowed object is `SchStateInfo`

    - #### setSchAgentTotals

          public void setSchAgentTotals(java.util.List<SchAgentTotals> schAgentTotals)

      Sets the value of the schAgentTotals property.
      Parameters:
        `schAgentTotals` - allowed object is `SchAgentTotals`

    - #### setMeetingInfo

          public void setMeetingInfo(java.util.List<CfgMeetingShort> meetingInfo)

      Sets the value of the meetingInfo property.
      Parameters:
        `meetingInfo` - allowed object is `CfgMeetingShort`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.